<div class="container" *ngIf="loggedIn; else elseBlock">
  <p>Currently logged in as:</p>
  <h1>{{currentUser}}</h1>
</div>

<!--using bootstrap container class to center items and arrange
them nicely on the page-->
<ng-template #elseBlock>
  <div class="container">
    <form #createForm="ngForm" (ngSubmit)="onSubmit(createForm)">
      <fieldset class="mb-3">
        <!--bootstrap class form-label-->
        <label class="form-label" for="name"
          >Please enter your trainer name:</label
        >
        <!--bootstrap class form-control-->
        <!--required and minlength="2" basic form validation-->
        <!--ngClass dynamic classbinding for bootstrap validation class { key: value }-->
        <input
          class="form-control"
          type="text"
          id="name"
          name="name"
          placeholder="John Doe"
          required
          minlength="2"
          maxlength="30"
          [ngClass]="{ 'is-valid': name.valid, 
          'is-invalid': (name.invalid && (name.dirty || name.touched) ) }"
          ngModel
          #name="ngModel"
          [(ngModel)]="nameInput"
        />
        <!--structural directive *ngIf allows us to check for validations-->
        <div
          *ngIf="name.errors && name.invalid && (name.dirty || name.touched)"
        >
          <p class="invalid-feedback" *ngIf="name.errors.required">
            The name is required
          </p>
          <p class="invalid-feedback" *ngIf="name.errors.minlength">
            The name is too short
          </p>
        </div>
      </fieldset>

      <!--adding break for breathing room-->
      <br />
      <!-- (onclick)="handleClear()" -->

      <!--Button to clear form of contents-->
      <button
        type="button"
        (click)="handleClear(createForm)"
        class="btn btn-danger"
      >
        Cancel</button
      >&nbsp;
      <!--adding empty non-breaking space to right of button with &nbsp-->
      <button
        type="submit"
        [disabled]="createForm.invalid"
        class="btn btn-primary"
      >
        Login
      </button>
    </form>
  </div>
</ng-template>

<div class="container" *ngIf="isLoading">
  <!--Adding breathing room at top with bootstrap mt-3 class-->
  <h4 class="mt-3">Loading...please wait.</h4>
</div>
